Retrieve Metadata

Customer Data Platform Metadata API response includes metadata about all entities, including Calculated Insights, Engagement, Profile, and other entities, as well as their relationships to other objects.

GET /api/v1/metadata

Returns the metadata for Calculated Insights, Engagement, Profile, and other objects.

Syntax

HTTP method
GET
Availability
Customer Data Platform v1.0, Salesforce API version 51.0 and later
Formats
REST
URI
/api/v1/metadata/

Request Parameters

Field Name Field Type Description
entityType string The requested metadata entity type. By default, this parameter includes all of the available types. Acceptable values: DataLakeObject, DataModelObject, and CalculatedInsight
entityCategory string The requested metadata entity category. By default, this parameter includes all of the available categories. It is not applicable for Calculated Insight entities. Acceptable values: Profile, Engagement, and Related
entityName string The name of the requested metadata entity. By default, this parameter includes all of the available categories an exhaustive list of entities. Example: UnifiedIndividual__dlm

Examples

Request
1http2://{TSE}.360a.salesforce.com/api/v1/metadata/
Response
1{
2   "metadata": [
3      {
4         "fields": [
5            {
6               "name": "ssot__BirthDate__c",
7               "displayName": "Birth Date",
8               "type": "DATE_TIME"
9            },
10            {
11               "name": "ssot__LastName__c",
12               "displayName": "Last Name",
13               "type": "STRING"
14            },
15            {
16               "name": "ssot__Id__c",
17               "displayName": "Individual Id",
18               "type": "STRING"
19            },
20            {
21               "name": "ssot__DataSourceObjectId__c",
22               "displayName": "Data Source Object",
23               "type": "STRING"
24            },
25            {
26               "name": "ssot__YearlyIncome__c",
27               "displayName": "Yearly Income",
28               "type": "NUMBER"
29            },
30            {
31               "name": "ssot__FirstName__c",
32               "displayName": "First Name",
33               "type": "STRING"
34            }
35         ],
36         "indexes": [],
37         "category": "Profile",
38         "name": "ssot__Individual__dlm",
39         "displayName": "Individual",
40         "relationships": [
41            {
42               "fromEntity": "ssot__Individual__dlm",
43               "toEntity": "IndividualIdentityLink__dlm",
44               "fromEntityAttribute": "ssot__Id__c",
45               "toEntityAttribute": "SourceRecordId__c",
46               "cardinality": "ONETOONE"
47            },
48            {
49               "fromEntity": "ssot__ContactPointPhone__dlm",
50               "toEntity": "ssot__Individual__dlm",
51               "fromEntityAttribute": "ssot__PartyId__c",
52               "toEntityAttribute": "ssot__Id__c",
53               "cardinality": "NTOONE"
54            }
55         ],
56         "primaryKeys": [
57            {
58               "name": "ssot__Id__c",
59               "displayName": "Individual Id",
60               "indexOrder": "1"
61            }
62         ]
63      },
64      {
65         "fields": [
66             {
67                 "name": "ssot__DataSourceId__c",
68                 "displayName": "Data Source",
69                 "type": "STRING"
70             },
71             {
72                 "name": "ssot__DataSourceObjectId__c",
73                 "displayName": "Data Source Object",
74                 "type": "STRING"
75             },
76             {
77                 "name": "ssot__Id__c",
78                 "displayName": "Party Identification Id",
79                 "type": "STRING"
80             }
81         ],
82         "indexes": [],
83         "category": "Related",
84         "name": "ssot__PartyIdentification__dlm",
85         "displayName": "Party Identification",
86         "relationships": [],
87         "primaryKeys": [
88             {
89                 "name": "ssot__Id__c",
90                 "displayName": "Party Identification Id",
91                 "indexOrder": "1"
92             }
93         ]
94      },
95      {
96         "name": "Avg_Spends__cio",
97         "displayName": "Avg Spends",
98         "dimensions": [
99            {
100               "name": "Id__c",
101               "displayName": "Id",
102               "type": "STRING"
103            },
104            {
105               "name": "FirstName__c",
106               "displayName": "First Name",
107               "type": "STRING"
108            }
109         ],
110         "measures": [
111            {
112               "name": "Avg_Spend__c",
113               "displayName": "Avg Spend",
114               "type": "NUMBER",
115               "rollupable": true
116            }
117         ],
118         "relationships": [
119            {
120               "fromEntity": "ssot__Individual__dlm",
121               "toEntity": "Avg_Spends__cio"
122            }
123         ],
124         "partitionBy": "Id__c"
125      }
126   ]
127}

HTTP Responses

Response Reason
200 OK Callback successfully verified
400 Bad Request Invalid request
500 Server Error Internal error